package com.sinoqixin.bgdrocketmq;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
@MapperScan("com.sinoqixin.bgdrocketmq.mapper")
public class BgdRocketmqApplication {

    private static final Logger log = LoggerFactory.getLogger(BgdRocketmqApplication.class);

    public static void main(String[] args) {
        SpringApplication.run(BgdRocketmqApplication.class, args);
        log.info("启动成功!");
    }

}
