package com.sinoqixin.bgdrocketmq.service.handle;

import com.sinoqixin.bgdrocketmq.service.ProducePlanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class MqDataHandleImpl {

    public Map<String, Map<String, MqDataHandle>> handleMap;

    @Autowired
    private ProducePlanService producePlanService;

    public Map<String, Map<String, MqDataHandle>> getHandleMap() {
        if (handleMap == null) {
            handleMap = new HashMap<>();
            registerHandleMap();
        }
        return handleMap;
    }

    private void registerHandleMap() {
        handleMap.put(producePlanService.getTopicName(), getTabMap(producePlanService));
    }

    public Map<String, MqDataHandle> getTabMap(MqDataHandle handle) {
        Map<String, MqDataHandle> tabMap = new HashMap<>();
        tabMap.put(handle.getTabName(), handle);
        return tabMap;
    }
}
